Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.server.ui.editor
Class ServerEditorSection

    java.lang.Object
      org.eclipse.wst.server.ui.editor.ServerEditorSection

    public abstract class ServerEditorSection

extends java.lang.Object

An abstract server editor section.

Since:
  1.0

Constructor Summary
`ServerEditorSection()`

Method Summary
`void` | `createSection(Composite parent)` Create the section.
`void` | `dispose()` Disposes of the section.
`void` | `execute(IUndoableOperation operation)` Executes the given operation and adds it to the operation history with the correct context.
`java.lang.String` | `getErrorMessage()` Return the error message for this section.
`IStatus[]` | `getSaveStatus()` Returns error or status messages that will be displayed when the server resource is saved.
`Shell` | `getShell()` Return the shell of the section.
`void` | `init(IEditorSite site, IEditorInput input)` Initialize the section.
`void` | `setErrorMessage(java.lang.String error)` Set an error message for this section.
`void` | `setServerEditorPart(ServerEditorPart editor)` Set the editor part that this section belongs to.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerEditorSection

    public ServerEditorSection()

Method Detail

### init

    public void init(IEditorSite site,
                     IEditorInput input)

  Initialize the section.

  Parameters:
    `site` - the editor site
    `input` - the editor input

### execute

    public void execute(IUndoableOperation operation)

  Executes the given operation and adds it to the operation history with the correct context.

  Parameters:
    `operation` - an operation ready to be executed

### createSection

    public void createSection(Composite parent)

  Create the section.

  Parameters:
    `parent` - the parent composite

### getShell

    public Shell getShell()

  Return the shell of the section.

  Returns:
    the shell

### getErrorMessage

    public java.lang.String getErrorMessage()

  Return the error message for this section.

  Returns:
    the error message
  See Also:
    `Use forms UI based for errors via {@link org.eclipse.ui.forms.IMessageManager} on the message form instead of this method`

### getSaveStatus

    public IStatus[] getSaveStatus()

  Returns error or status messages that will be displayed when the server resource is saved. If there are any error messages, the user will be unable to save the editor.

  Returns:
    a status object with code `IStatus.OK` if this server can be saved, otherwise a status object indicating why it can't be
  See Also:
    `Use forms UI based for errors via {@link org.eclipse.ui.forms.IMessageManager} on the message form instead of this method`

### setServerEditorPart

    public void setServerEditorPart(ServerEditorPart editor)

  Set the editor part that this section belongs to.

  Parameters:
    `editor` - the editor

### setErrorMessage

    public void setErrorMessage(java.lang.String error)

  Set an error message for this section.

  Parameters:
    `error` - an error message
  See Also:
    `Use forms UI based for errors via {@link org.eclipse.ui.forms.IMessageManager} on the message form instead of this method`

### dispose

    public void dispose()

  Disposes of the section.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD